REM http://sourceforge.net/projects/pyqt/files/QScintilla2/QScintilla-2.8.4/QScintilla-gpl-2.8.4.tar.gz

set OSGEO4W_ROOT=C:\OSGeo4W
set P=qscintilla
set V=2.8.4
set B=1

set R=..\..\..\x86\release\%P%
if not exist %R% mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x86
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include
set LIB=%LIB%;%OSGEO4W_ROOT%\lib

copy setup.hint %R%\setup.hint

cd ..\Qt4Qt5
qmake qscintilla.pro
if errorlevel 1 (echo qmake error & goto error)

nmake
if errorlevel 1 (echo build error & goto error)

nmake install
if errorlevel 1 (echo install error & goto error)

move %OSGEO4W_ROOT%\lib\qscintilla2.dll %OSGEO4W_ROOT%\bin

copy ..\OPENSOURCE-NOTICE.TXT+..\LICENSE.GPL2+..\LICENSE.GPL3 %R%\%P%-%V%-%B%.txt
tar --remove-files -C %OSGEO4W_ROOT% -cjvf %R%\%P%-%V%-%B%.tar.bz2 ^
	apps/Qt4/qsci/api/python ^
	include/qt4/Qsci ^
	apps/Qt4/translations/qscintilla_cs.qm ^
	apps/qt4/translations/qscintilla_de.qm ^
	apps/qt4/translations/qscintilla_es.qm ^
	apps/qt4/translations/qscintilla_fr.qm ^
	apps/qt4/translations/qscintilla_pt_br.qm ^
	lib/qscintilla2.lib ^
	bin/qscintilla2.dll

tar -C .. -cjvf %R%\%P%-%V%-%B%-src.tar.bz2 ^
	osgeo4w/package32.cmd ^
	osgeo4w/package-python32.cmd ^
	osgeo4w/python.hint ^
	osgeo4w/setup.hint

:error
